package langtest;

import java.util.ArrayList;

public class Sentence {
	private String sentenceText;
	private int numMatches = 0;
	ArrayList<String> matches = null;
	
	public Sentence(String s) {
		sentenceText = s;
	}
	
	public String getSentenceText() {
		return sentenceText;
	}

	public void incrMatch() {
		numMatches++;		
	}
	public String toString() {
		if (matches == null)
			return numMatches + " " + sentenceText;
		
		String matchesStr = "";
		for (String s : matches) 
			matchesStr += " " + s;
		return numMatches + " " + sentenceText + "\n\t" + matchesStr;
			
			
	}
	public void addMatch(String m) {
		if (matches == null)
			matches = new ArrayList<String>();
		
		matches.add(m);
	}
	
	
}
