<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
    <head>
        <title>Resultater</title>
	<link type="text/css" href="http://jqueryui.com/latest/themes/base/ui.all.css" rel="stylesheet" />
	<!-- <script type="text/javascript" src="http://jqueryui.com/latest/jquery-1.3.2.js"></script> -->
	<script type="text/javascript" src="http://jqueryjs.googlecode.com/files/jquery-1.3.2.js"></script>
	<!-- <script type="text/javascript" src="http://jqueryui.com/latest/ui/ui.core.js"></script>-->
	<!-- <script type="text/javascript" src="http://jqueryui.com/latest/ui/ui.draggable.js"></script> -->
	<script src="http://dev.jquery.com/view/tags/ui/latest/ui/effects.core.js"></script>
	<script src="http://dev.jquery.com/view/tags/ui/latest/ui/effects.highlight.js"></script>
	<style type="text/css">
		/* #draggable { width: 100px; height: 70px; background: silver; } */
		body, div, h1, h2, h3, h4, h5, h6, p, ul, li, dd, dt {
			    font-family: verdana, sans-serif;
		}

		.graph { background : #eeeeee; font-size : 80%; float : left; }
		.graph table { width : 15em; border : 1px solid silver; }
	</style>
	<script type="text/javascript">
		var chartdata = [];

		$(document).ready(function(){
			//$("#draggable").draggable();
			$("#removeBtn").click(function() {
				$("#graphs").html('');
				chartdata = [];
				$("#chartData").html('');
			});
			$("#refreshBtn").click(function() {
				location.reload(true);
			});
		});

		function showGraph(alg, time, full) {
			//console.log("appending");
			var html = "";
			var numDocs = $('@name="docsInEval":checked').val();
			full = full ? "1" : "0";
			$.getJSON("index.pl?graph=1&algo=" + alg + "&time=" + time + "&full=" + full + "&num_docs=" + numDocs, function(data) {
				$("#" + alg + time).removeAttr('id').fadeOut(1000, function() {
					$(this).html('');
				});
				$.each(data, function(i, res) {
					//console.log(key + " " + val);
					html += "<tr><td>" + res[0] + "</td>";
					html += "<td>" + res[1] + "</td>";
					html += "<td>" + res[2] + "</td>";
					//html += "<td>" + "<img src=\"http://chart.apis.google.com/chart?cht=bhs&chs=200x20&chd=t:" + res[1] + "&chco=4d89f9,c6d9fd&chbh=20\" alt=\"\" />" + "</td>";
					html += "</tr>";
				});
				$("#graphs").append(
					'<div class="graph"  id="' + alg + time + '"><table>'
					+ html
					+ '</table></div>'
					);
				
				//$("#" + alg + time).draggable();
				$("#" + alg + time).show(200, function() {
					$(this).effect("highlight", {}, 2000);
				});
			});



		}

		function toChart(alg, time) {
			chartdata.push([alg, time]);
			var numDocs = $('@name="docsInEval":checked').val();
			$("#chartData").html('');
			if (chartdata.length == 1) {
				$("#chartData").html("<p>" + chartdata[0] + " - need one more result..</p>");
			}
			else {
				$("#chartData").html('<img src="index.pl?chart=1&num_docs=' + numDocs + '&alg1=' 
					+ chartdata[0][0] + "&time1=" + chartdata[0][1] + "&alg2="
					+ chartdata[1][0] + "&time2=" + chartdata[1][1] + '" alt="" />');
				chartdata = [];
			}
		}
	</script>

</head>
<body>
[% USE format %]
[% FOREACH alg IN results.keys %]
<table style="border : 1px solid silver; float : left;">
	<tr><td>[% alg %]</td></tr>
	[% FOREACH res IN results.$alg %]
		[% SET color = 130 + res % 125 %]
		[% colorer = format("#%x%x%x") %]
		<tr style="background : [% colorer(color, color, color) %]"><td>
			<a href="javascript:showGraph('[% alg %]', '[% res %]', false);">[% res | ago %]</a>
			<span style="size : 80%;">
			<a href="javascript:showGraph('[% alg %]', '[% res %]', true);">(full)</a>
			<a href="javascript:toChart('[% alg %]', '[% res %]');">(chart it)</a>
			</span>
		</td></tr>
	[% END %]
</table>
[% END %]
<div style="clear : both;">Docs to use in evaluation (-M param): 
	<input type="radio" name="docsInEval" checked="checked" value="100" />&nbsp;100 
	<input type="radio" name="docsInEval" value="1000" />&nbsp;1000
	<input type="radio" name="docsInEval" value="10" />&nbsp;10
</div>
<div style="clear : both;"><button id="removeBtn">Remove all</button></div>
<div style="clear : both;"><button id="refreshBtn">Refresh</button></div>
<div style="clear : both;" id="chartData"></div>
<div id="graphs" style="clear : both;">

</div>

</body>
</html>
