package org.ntnu.masteroppg;

import org.apache.lucene.document.Document;

public class SearchResult {

	private int rank;
	private Document document;
	private float score;
	private final String pmid_fieldname = Config.getStr(Config.DOC_FIELD_PMID);

	public SearchResult(int rank, Document document, float score) {
		this.rank = rank;
		this.document = document;
		this.score = score;
	}

	public Document getDocument() {
		return document;
	}

	public float getScore() {
		return score;
	}

	public int getRank() {
		return this.rank;
	}

	public String getDocID() {
		return document.getField(pmid_fieldname).stringValue();
	}

}
